commit:     c4710fb8edc507f1b9c944cfea07c873dd33a355
Author:     Hans de Graaff <hans <AT> degraaff <DOT> org>
AuthorDate: Tue May 12 14:43:32 2015 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Tue May 12 14:43:32 2015 +0000
URL:        https://gitweb.gentoo.org/dev/graaff.git/commit/?id=c4710fb8

Add patch to use HTTPS connections.

Package-Manager: portage-2.2.18

 dev-ruby/pipedrive-ruby/ChangeLog                  |  8 +++-
 .../pipedrive-ruby/pipedrive-ruby-0.3.3-r1.ebuild  | 50 ++++++++++++++++++++++
 2 files changed, 57 insertions(+), 1 deletion(-)

diff --git a/dev-ruby/pipedrive-ruby/ChangeLog 
b/dev-ruby/pipedrive-ruby/ChangeLog
index 32c8649..b8e0b58 100644
--- a/dev-ruby/pipedrive-ruby/ChangeLog
+++ b/dev-ruby/pipedrive-ruby/ChangeLog
@@ -1,7 +1,13 @@
 # ChangeLog for dev-ruby/pipedrive-ruby
-# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
+# Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
 # $Header: $
 
+*pipedrive-ruby-0.3.3-r1 (12 May 2015)
+
+  12 May 2015; Hans de Graaff <gra...@gentoo.org>
+  +pipedrive-ruby-0.3.3-r1.ebuild:
+  Add patch to use HTTPS connections.
+
 *pipedrive-ruby-0.3.3 (29 Jul 2014)
 
   29 Jul 2014; Hans de Graaff <gra...@gentoo.org> +pipedrive-ruby-0.3.3.ebuild,

diff --git a/dev-ruby/pipedrive-ruby/pipedrive-ruby-0.3.3-r1.ebuild 
b/dev-ruby/pipedrive-ruby/pipedrive-ruby-0.3.3-r1.ebuild
new file mode 100644
index 0000000..d317dc3
--- /dev/null
+++ b/dev-ruby/pipedrive-ruby/pipedrive-ruby-0.3.3-r1.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+USE_RUBY="ruby19 ruby20"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Ruby wrapper for the LinkedIn API"
+HOMEPAGE="https://github.com/GeneralScripting/pipedrive-ruby";
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+ruby_add_rdepend "
+       dev-ruby/httparty
+       >=dev-ruby/json-1.7.7
+       >=dev-ruby/multi_xml-0.5.2
+"
+
+ruby_add_bdepend "test? (
+       dev-ruby/test-unit:2 dev-ruby/shoulda
+)"
+
+all_ruby_prepare() {
+       # Remove test dependencies that should not be runtime dependencies
+       # https://github.com/GeneralScripting/pipedrive-ruby/issues/19
+       sed -e '/\(coveralls\|webmock\)/ s:^:#:' -i ${RUBY_FAKEGEM_GEMSPEC} || 
die
+
+       sed -e '/coverall/I s:^:#:' \
+               -e '/^begin/,/^end/ s:^:#:' -i test/helper.rb || die
+
+       # Patch in support to use https
+       # https://github.com/GeneralScripting/pipedrive-ruby/issues/30
+       sed -i -e 's/api.pipedrive.com/api.pipedrive.com:443/' 
lib/pipedrive/base.rb || die
+}
+
+each_ruby_test() {
+       ${RUBY} -S testrb-2 test/test_*.rb || die
+}

Reply via email to